> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Morpho Vaults

> Lists configured Morpho vaults with live APY when the org has Morpho enabled.

Required scope: `wallets:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-morpho-vaults
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-morpho-vaults:
    get:
      operationId: getMorphoVaults
      summary: Get Morpho Vaults
      x-toku-required-scope: wallets:read
      description: >-
        Lists configured Morpho vaults with live APY when the org has Morpho
        enabled.


        Required scope: `wallets:read`
      parameters:
        - name: chainId
          in: query
          required: false
          description: >-
            NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces
            it
          schema:
            type: integer
            description: >-
              NOTE(ck): a .refine() rule is not mirrored here; TGA still
              enforces it
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMorphoVaultsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetMorphoVaultsResponse:
      type: array
      items:
        type: object
        properties:
          address:
            type: string
          name:
            type: string
          chainId:
            type: integer
          assetSymbol:
            type: string
          assetAddress:
            type: string
          assetDecimals:
            type: integer
          apy:
            type:
              - number
              - 'null'
          totalAssets:
            type:
              - string
              - 'null'
        required:
          - address
          - name
          - chainId
          - assetSymbol
          - assetAddress
          - assetDecimals
          - apy
          - totalAssets
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
